Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.core.isdl.gen
Class InterpreterGenerator.MapRep

    java.lang.Object
      avrora.core.isdl.gen.InterpreterGenerator.MapRep

Direct Known Subclasses:
  InterpreterGenerator.GetterSetterMap

Enclosing class:
  InterpreterGenerator

protected abstract class InterpreterGenerator.MapRep
extends java.lang.Object

Constructor Summary
`protected` | `InterpreterGenerator.MapRep()`

Method Summary
`abstract void` | `generateBitRangeWrite(Expr ind, int l, int h, Expr val)`
`abstract void` | `generateBitRead(Expr ind, Expr b)`
`abstract void` | `generateBitWrite(Expr ind, Expr b, Expr val)`
`abstract void` | `generateRead(Expr ind)`
`abstract void` | `generateWrite(Expr ind, Expr val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InterpreterGenerator.MapRep

    protected InterpreterGenerator.MapRep()

Method Detail

### generateWrite

    public abstract void generateWrite(Expr ind,
                                       Expr val)

### generateBitWrite

    public abstract void generateBitWrite(Expr ind,
                                          Expr b,
                                          Expr val)

### generateRead

    public abstract void generateRead(Expr ind)

### generateBitRead

    public abstract void generateBitRead(Expr ind,
                                         Expr b)

### generateBitRangeWrite

    public abstract void generateBitRangeWrite(Expr ind,
                                               int l,
                                               int h,
                                               Expr val)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD